"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const printImport_1 = __importDefault(require("../../utils/printImport"));
const generateUrlFile = ({ importGenerateUrl, patternNamedExports: { patternName, urlPartsInterfaceName, filename, pathParamsInterfaceName }, routeName, destinationDir, }) => {
    const functionName = `generateUrl${routeName}`;
    const pathVariable = pathParamsInterfaceName ? "urlParts.path" : "{}";
    const template = `${printImport_1.default(importGenerateUrl)}
  ${printImport_1.default({
        namedImports: [{ name: patternName }, { name: urlPartsInterfaceName }],
        from: `./${filename}`,
    })}
  const ${functionName} = ( urlParts: ${urlPartsInterfaceName} ): string => generateUrl(${patternName}, ${pathVariable}, urlParts.urlQuery);
  export default ${functionName};
  `;
    const templateFile = {
        template,
        filename: functionName,
        extension: ".ts",
        destinationDir,
    };
    return templateFile;
};
exports.default = generateUrlFile;
//# sourceMappingURL=generateUrlFile.js.map