"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const printImport_1 = __importDefault(require("../../utils/printImport"));
const getKeysFromRoutePattern_1 = __importDefault(require("../../utils/getKeysFromRoutePattern"));
const generateUseParamsFileNextJS = (params) => {
    const { routeName, routePattern, destinationDir, pathParamsInterfaceName, pathParamsFilename } = params;
    const keys = getKeysFromRoutePattern_1.default(routePattern);
    const functionName = `useParams${routeName}`;
    const resultTemplate = `${keys.reduce((prev, key) => {
        if (key.modifier) {
            return `${prev}${key.name}: query.${key.name} ? (query.${key.name} as string) : undefined,`;
        }
        return `${prev}${key.name}: query.${key.name} as string,`;
    }, "")}`;
    const template = `${printImport_1.default({
        namedImports: [{ name: pathParamsInterfaceName }],
        from: `./${pathParamsFilename}`,
    })}
    ${printImport_1.default({
        namedImports: [{ name: "useRouter" }],
        from: "next/router",
    })}
    const ${functionName} = (): ${pathParamsInterfaceName} => {
      const query = useRouter().query;
      return {${resultTemplate}};
    }
    export default ${functionName};`;
    return {
        template,
        extension: ".ts",
        filename: functionName,
        destinationDir,
    };
};
exports.default = generateUseParamsFileNextJS;
//# sourceMappingURL=generateUseParamsFileNextJS.js.map