"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const printImport_1 = __importDefault(require("../../utils/printImport"));
const generateRedirectFileReactRouterV5 = (params) => {
    const { routeName, destinationDir, importGenerateUrl, patternNamedExports } = params;
    const functionName = `Redirect${routeName}`;
    const hasPathParams = !!patternNamedExports.pathParamsInterfaceName;
    const template = `${printImport_1.default({ defaultImport: "React", from: "react" })}
  ${printImport_1.default(importGenerateUrl)}
  ${printImport_1.default({ namedImports: [{ name: "Redirect" }], from: "react-router" })}
  ${printImport_1.default({
        namedImports: [{ name: patternNamedExports.urlPartsInterfaceName }, { name: patternNamedExports.patternName }],
        from: `./${patternNamedExports.filename}`,
    })}
  const ${functionName}: React.FunctionComponent<${patternNamedExports.urlPartsInterfaceName} & { fallback?: React.ReactNode }> = props => {
    const to = generateUrl(${patternNamedExports.patternName}, ${hasPathParams ? "props.path" : "{}"}, props.urlQuery);
    return (
      <>
        <Redirect to={to} />
        {props.fallback}
      </>
    );
  };
  export default ${functionName}`;
    return {
        filename: functionName,
        destinationDir,
        extension: ".tsx",
        template,
    };
};
exports.default = generateRedirectFileReactRouterV5;
//# sourceMappingURL=generateRedirectFileReactRouterV5.js.map