"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const printImport_1 = __importDefault(require("../../utils/printImport"));
const generateUseRedirectReactRouterV5 = (params) => {
    const { routeName, patternNamedExports, destinationDir, importGenerateUrl } = params;
    const functionName = `useRedirect${routeName}`;
    const pathVariable = patternNamedExports.pathParamsInterfaceName ? "urlParts.path" : "{}";
    const resultTypeInterface = `Redirect${routeName}`;
    const template = `${printImport_1.default({
        namedImports: [{ name: "useHistory" }],
        from: "react-router",
    })}
  ${printImport_1.default({
        namedImports: [{ name: patternNamedExports.urlPartsInterfaceName }, { name: patternNamedExports.patternName }],
        from: `./${patternNamedExports.filename}`,
    })}
  ${printImport_1.default(importGenerateUrl)}
  export type ${resultTypeInterface} = (urlParts: ${patternNamedExports.urlPartsInterfaceName}) => void;
  const ${functionName} = (): ${resultTypeInterface} => {
    const history = useHistory();
    const redirect: ${resultTypeInterface} = urlParts => {
      const to = generateUrl(${patternNamedExports.patternName}, ${pathVariable}, urlParts.urlQuery);
      history.push(to);
    }
    return redirect;
  }
  export default ${functionName}`;
    const templateFile = {
        template,
        filename: functionName,
        extension: ".ts",
        destinationDir,
    };
    return templateFile;
};
exports.default = generateUseRedirectReactRouterV5;
//# sourceMappingURL=generateUseRedirectReactRouterV5.js.map