import { Import } from "../types";
import { RoutingType, AppConfig } from "../config";
export interface ParsedLinkOptionsReactRouterV5 {
    importLink: Import;
    linkComponent: string;
    linkProps: string;
    hrefProp: string;
    generateLinkComponent: boolean;
    generateRedirectComponent: boolean;
    generateUseRedirect: boolean;
    generateUseParams: boolean;
}
export interface ParsedLinkOptionsNextJS {
    importLink: Import;
    linkComponent: string;
    linkProps: string;
    hrefProp: string;
    generateLinkComponent: boolean;
    generateUseParams: boolean;
}
export interface ParsedLinkOptionsDefault {
    importLink?: Import;
    linkProps?: string;
    inlineLinkProps?: {
        template: string;
        linkProps: string;
    };
    linkComponent: string;
    hrefProp: string;
    generateLinkComponent: boolean;
    generateRedirectComponent: boolean;
    generateUseRedirect: boolean;
}
export declare type RouteLinkOptions = {
    NextJS: ParsedLinkOptionsNextJS;
    ReactRouterV5: ParsedLinkOptionsReactRouterV5;
    Default: ParsedLinkOptionsDefault;
};
export interface ParsedAppConfig {
    routes: Record<string, string>;
    routingType: RoutingType;
    destinationDir?: string;
    routeLinkOptions: RouteLinkOptions;
    importGenerateUrl: Import;
    importRedirectServerSide: Import;
}
declare const parseAppConfig: (appName: string, appConfig: AppConfig) => ParsedAppConfig;
export default parseAppConfig;
