"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const config_1 = require("./../config");
const generateExternalRoutesConfig = (apps) => {
    const externalRoutesConfig = {};
    Object.entries(apps).forEach(([appName, defaultAppConfig]) => {
        let currentAppRoutes = {};
        const otherApps = Object.assign({}, apps);
        delete otherApps[appName];
        Object.entries(otherApps).forEach(([otherAppName, otherAppDefaultConfig]) => {
            currentAppRoutes = Object.assign(Object.assign({}, currentAppRoutes), otherAppDefaultConfig["routes"]);
        });
        externalRoutesConfig[appName] = Object.assign(Object.assign({}, defaultAppConfig), { routes: currentAppRoutes, routingType: config_1.RoutingType.Default });
    });
    return externalRoutesConfig;
};
exports.default = generateExternalRoutesConfig;
//# sourceMappingURL=generateExternalRoutesConfig.js.map